approx.h File Reference

Provides facilities for working around rounding errors when dealing with real numbers. More...

`#include "regina-core.h"`

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

template<class R >
bool | regina::isZero (R x)
| Determines whether the given real number is zero. More...
template<class R >
bool | regina::isNonZero (R x)
| Determines whether the given real number is non-zero. More...
template<class R >
bool | regina::isPositive (R x)
| Determines whether the given real number is strictly positive. More...
template<class R >
bool | regina::isNegative (R x)
| Determines whether the given real number is strictly negative. More...
template<class R >
bool | regina::isNonNegative (R x)
| Determines whether the given real number is non-negative. More...
template<class R >
bool | regina::isNonPositive (R x)
| Determines whether the given real number is non-positive. More...

## Variables

REGINA_API const double | regina::epsilon
| A very small positive real designed to accommodate for rounding error. More...

## Detailed Description

Provides facilities for working around rounding errors when dealing with real numbers.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).